﻿
$ErrorActionPreference = 'Stop';
$url32 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/6fee713c-ca92-48dd-84db-0aec13725d77/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/0a781574-de1b-431e-87a3-ed7d0f66393b/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum32     = '8F7ED7CEBF837B48F8807F2874E508C7E5D640D5570B18C24B487D3888B5E47B'
  checksumType   = 'sha256'
  checksum64     = '56B382234A2D710735C3EA39CE2D0154A31F690264E96B7D1EA8F7FF088BC934'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
